package org.telosys.tools.repository.persistence.commande;

import org.telosys.tools.repository.persistence.util.CommandException;
import org.telosys.tools.repository.persistence.util.ProcessContext;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class CommandNode extends AbstractCommand implements ICommandContext {

	public ProcessContext runProcess(final ProcessContext processContext, final ICommandManager iCommandManager) throws CommandException {
		final Node noeud = processContext.getNode();

		if ((noeud != null) && (noeud.getNodeType() == Node.ELEMENT_NODE)) {
			// Transform Node to Element 
			final Element element = (Element) noeud;
			
			// Result analysis
			final ProcessContext processContextNext = chaineElementProcess(iCommandManager, element);

			// Return result
			final ProcessContext context = new ProcessContext(processContextNext.getNodeProcessed());
			return context;
		} else {
			final ProcessContext context = new ProcessContext((Object) null);
			return context;
		}
	}

	public boolean accept(final ProcessContext processContext) {
		if (processContext.getNode() != null) {
			return true;
		} else {
			return false;
		}
	}

}
