package org.telosys.tools.repository.persistence.wrapper;

import org.telosys.tools.repository.model.ForeignKey;
import org.telosys.tools.repository.persistence.util.RepositoryConst;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class ForeignKeyWrapper {

	public ForeignKey getForeignKey(final Element xmlElement) {
		final ForeignKey foreignKey = new ForeignKey();
		foreignKey.setName(xmlElement.getAttribute(RepositoryConst.FK_NAME) );
		return foreignKey;
	}

	public Element getXmlDesc(final ForeignKey foreignKey, final Document doc) {
		final Element xmlElement = doc.createElement(RepositoryConst.FK);
		xmlElement.setAttribute(RepositoryConst.FK_NAME, foreignKey.getName());
		return xmlElement;
	}
}
