package org.telosys.tools.repository.persistence.commande;

import org.telosys.tools.repository.model.GeneratedValue;
import org.telosys.tools.repository.persistence.util.CommandException;
import org.telosys.tools.repository.persistence.util.ProcessContext;
import org.telosys.tools.repository.persistence.util.RepositoryConst;
import org.w3c.dom.Element;

public class CommandElementGeneratedValue extends AbstractCommand implements ICommandContext {

	public ProcessContext runProcess(final ProcessContext processContext, final ICommandManager iCommandManager) throws CommandException {
		final Element elem = processContext.getElement();

		// Transform element
		final GeneratedValue gv = RepositoryConst.GENERATED_VALUE_WRAPPER.getGeneratedValue(elem);
				
		// Return result
		final ProcessContext context = new ProcessContext(gv);
		return context;
	}

	public boolean accept(final ProcessContext processContext) {
		return genericAccept(processContext, RepositoryConst.GENERATED_VALUE_ELEMENT);
	}

}
