package org.telosys.tools.repository.persistence.commande;

import org.telosys.tools.repository.model.SequenceGenerator;
import org.telosys.tools.repository.persistence.util.CommandException;
import org.telosys.tools.repository.persistence.util.ProcessContext;
import org.telosys.tools.repository.persistence.util.RepositoryConst;
import org.w3c.dom.Element;

public class CommandElementSequenceGenerator extends AbstractCommand implements ICommandContext {

	public ProcessContext runProcess(final ProcessContext processContext, final ICommandManager iCommandManager) throws CommandException {
		final Element elem = processContext.getElement();

		// Transform element
		final SequenceGenerator sg = RepositoryConst.SEQUENCE_GENERATOR_WRAPPER.getSequenceGenerator(elem);
				
		// Return result
		final ProcessContext context = new ProcessContext(sg);
		return context;
	}

	public boolean accept(final ProcessContext processContext) {
		return genericAccept(processContext, RepositoryConst.SEQUENCE_GENERATOR_ELEMENT);
	}

}
