package org.telosys.tools.repository.persistence.commande;

import org.telosys.tools.repository.model.TableGenerator;
import org.telosys.tools.repository.persistence.util.CommandException;
import org.telosys.tools.repository.persistence.util.ProcessContext;
import org.telosys.tools.repository.persistence.util.RepositoryConst;
import org.w3c.dom.Element;

public class CommandElementTableGenerator extends AbstractCommand implements ICommandContext {

	public ProcessContext runProcess(final ProcessContext processContext, final ICommandManager iCommandManager) throws CommandException {
		final Element elem = processContext.getElement();

		// Transform element
		final TableGenerator tg = RepositoryConst.TABLE_GENERATOR_WRAPPER.getTableGenerator(elem);
				
		// Return result
		final ProcessContext context = new ProcessContext(tg);
		return context;
	}

	public boolean accept(final ProcessContext processContext) {
		return genericAccept(processContext, RepositoryConst.TABLE_GENERATOR_ELEMENT);
	}

}
