package org.telosys.tools.repository.persistence.wrapper;

import org.telosys.tools.repository.model.GeneratedValue;
import org.telosys.tools.repository.persistence.util.RepositoryConst;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class GeneratedValueWrapper {
	
	public GeneratedValueWrapper() {
		super();
	}

	public GeneratedValue getGeneratedValue(final Element elem) {
		final GeneratedValue gv = new GeneratedValue();
		gv.setGenerator(elem.getAttribute(RepositoryConst.GENERATED_VALUE_GENERATOR));
		gv.setStrategy(elem.getAttribute(RepositoryConst.GENERATED_VALUE_STRATEGY));
		return gv;
	}

	public Element getXmlDesc(final GeneratedValue column, final Document doc) {
		final Element gv = doc.createElement(RepositoryConst.GENERATED_VALUE_ELEMENT);
		gv.setAttribute(RepositoryConst.GENERATED_VALUE_GENERATOR, column.getGenerator());
		gv.setAttribute(RepositoryConst.GENERATED_VALUE_STRATEGY, column.getStrategy());
		return gv;
	}

}
